Subject: My time with grandson Bennett .. Don't tell Lisa cause Bennett will want to
From: Kay price <[email-masked]>
To: Emily Thiel <[email-masked]>, Jonathan Thiel <[email-masked]>, Colleen Thiel <[email-masked]>, David Thiel <[email-masked]>, Jeanne Williams <[email-masked]>, Tom Williams <[email-masked]>, Price Williams <[email-masked]>, Pat Bull <[email-masked]>, Ashley Bull <[email-masked]>, Matthew Bull <[email-masked]>, Bryan Apinis <[email-masked]>, Kathryn Apinis <[email-masked]>
Date: Sat, 23 Mar 2013 19:55:24 -0500

I am meeting Lisa Wed. in Rockford to get Bennett for an overnight. We have a big case to work on that Hank from the FBI has ready. Hank will tell him in a letter that is found in a locked black box with a skull on it, (only Bennett and Hank have a key) that he recommended Bennett, the best detective in the world, to help Henry Russell, the PdS retired fire chief. He got a beautiful big plaque from the fire department when he retired and it has hung on his wall for ten years. Suddenly it is missing and Henry is devastated. He has no idea who took it.....he asked Hank for help. 

Hank will give him the address and Scooby Doo, Bennett and I will go to meet him. Bennett rings the doorbell and says Hank sent him. He takes over!! 

He will see the empty spot on his wall where it hung. He will ask questions. Who else has a key? Anybody not like you? Any idea who could have taken it? In-between Henry will tell what the job is like being a fire chief, like rescuing kids camping on an island on the river after a flash flood, etc. 

Eventually it will come out that he wonders if his neighbor might have taken it. He always says how much he likes it. The plaque has a big fire helmet setting in it. Henry will show him photo of it when he was in the paper for retiring. Then Bennett has to figure out how to get in neighbor's house.

He does have a cute dog so Henry, his wife, and Bennett and I will go over with excuse that we are there to see the dog. Henry says the neighbor always leaves his basement door open and maybe we can distract him and Bennett can look downstairs, where of course he will find it hidden in one of three rooms. 

The neighbor will say he took it as a joke and planned to bring it back. But we will say later we are suspicious of that. Henry will say he doesn't think it was funny. Henry is thrilled to get his plaque back and he and Bennett will hang it together. 

Henry says he keeps special fireman gifts and he goes to get a Lego fire truck as a thank you gift for Bennett. Of course Bennett loves Legos!!! 

Just a typical day with Grandma! 😜